QCPGraphData Class Reference
Author: Emanuel Eichhammer

· · · ·
Public Functions | Public Members | Static Public Functions
QCPGraphData Class Reference

Holds the data of one single data point for QCPGraph. More...

## Public Functions
| QCPGraphData ()
| QCPGraphData (double key, double value)
double | sortKey () const
double | mainKey () const
double | mainValue () const
QCPRange | valueRange () const

## Public Members
double | key
double | value

## Static Public Functions
static QCPGraphData | fromSortKey (double sortKey)
static bool | sortKeyIsMainKey ()

## Detailed Description

Holds the data of one single data point for QCPGraph.

The stored data is:

- key: coordinate on the key axis of this data point (this is the mainKey and the sortKey)
- value: coordinate on the value axis of this data point (this is the mainValue)

The container for storing multiple data points is QCPGraphDataContainer. It is a typedef for QCPDataContainer with QCPGraphData as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.

See also
  QCPGraphDataContainer

## Constructor & Destructor Documentation

## § QCPGraphData() [1/2]

QCPGraphData::QCPGraphData | ( |  | ) |

Constructs a data point with key and value set to zero.

## § QCPGraphData() [2/2]

QCPGraphData::QCPGraphData | ( | double | key,
|  | double | value
| ) |  |

Constructs a data point with the specified key and value.

## Member Function Documentation

## § sortKey()

double QCPGraphData::sortKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## § fromSortKey()

static QCPGraphData QCPGraphData::fromSortKey | ( | double | sortKey | ) |
| inlinestatic

Returns a data point with the specified sortKey. All other members are set to zero.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## § sortKeyIsMainKey()

static static bool QCPGraphData::sortKeyIsMainKey | ( |  | ) |
| inlinestatic

Since the member key is both the data point key coordinate and the data ordering parameter, this method returns true.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## § mainKey()

double QCPGraphData::mainKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## § mainValue()

double QCPGraphData::mainValue | ( |  | ) | const
| inline

Returns the value member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## § valueRange()

QCPRange QCPGraphData::valueRange | ( |  | ) | const
| inline

Returns a QCPRange with both lower and upper boundary set to value of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

The documentation for this class was generated from the following files:

- src/plottables/plottable-graph.h
- src/plottables/plottable-graph.cpp